Skip to content

Postpaid payments and credit​

GET
/billing/payments

Payments for invoices, newest first, and the credit left from overpayments. You pay in the currency and network of your contract (settlement in /billing/account); amountUsdc is the amount in the currency of your contract. Requires billing.read.

Authorizations​

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters​

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Responses​

Payments and credit.

application/json
JSON
{
  
"success": true,
  
"data": {
  
  
"payments": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"network": "ethereum",
  
  
  
  
"txHash": "string",
  
  
  
  
"fromAddress": "string",
  
  
  
  
"toAddress": "string",
  
  
  
  
"amountUsdc": "string",
  
  
  
  
"confirmedAt": "string",
  
  
  
  
"status": "string",
  
  
  
  
"invoiceId": 0
  
  
  
}
  
  
],
  
  
"creditUsdc": "string"
  
},
  
"timestamp": "string"
}

Playground​

Authorization
Headers

Samples​

Powered by VitePress OpenAPI